%global packname  R.oo
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          1.21.0
Release:          2%{?dist}
Summary:          R Object-Oriented Programming with or without References

License:          LGPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-R.methodsS3
# Imports:   R-methods R-utils
# Suggests:  R-tools
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core

Requires:         R-R.methodsS3
Requires:         R-methods R-utils
Requires:         R-tools
BuildRequires:    R-devel tex(latex) R-R.methodsS3
BuildRequires:    R-methods R-utils
BuildRequires:    R-tools

%description
Methods and classes for object-oriented programming in R with or without
references.  Large effort has been made on making definition of methods as
simple as possible with a minimum of maintenance for package developers.
The package has been developed since 2001 and is now considered very
stable.  This is a cross-platform package implemented in pure R that
defines standard S3 classes without any tricks.


%prep
%setup -q -c -n %{packname}

for file in %{packname}/inst/CITATION %{packname}/NEWS; do
    sed "s|\r||g" ${file} > ${file}.new
    touch -r ${file} ${file}.new
    mv ${file}.new ${file}
done
file=%{packname}/NEWS
iconv -f latin1 -t UTF-8 ${file} > ${file}.new
touch -r ${file} ${file}.new
mv ${file}.new ${file}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/misc


%changelog
* Thu Mar 22 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.21.0-2
- Fix some file line endings and encodings

* Wed Mar 21 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.21.0-1
- initial package for Fedora
